delete
https://example.com/v1/operations//accounts
Remove one or multiple accounts from a PRIVATE Operation.
Feature flag
- Available only when
OPERATIONSis ON (otherwise 403).
Access control
OPERATOR: can remove accounts from anyPRIVATEOperation inDRAFT.ACCOUNT: must have rightOPERATIONS_UPDATE, be the owner of the Operation, and be attached to the effective store (dj-storeif provided, otherwise tenant default store).
Business rules
- Only
PRIVATEOperations are eligible. - Only
DRAFTOperations are modifiable. - Account IDs provided must already be linked to the Operation.
- Unknown or not-linked accountIds are ignored.
- If none of the provided accountIds are valid, an error is returned.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
204Accounts successfully removed from the Operation.
400Invalid request payload or wrong format.
401Unauthorized. Missing or invalid authentication token.
403Forbidden action.
- Permission denied. Only OPERATOR or ACCOUNT clients are allowed to call this endpoint.
- Permission denied. Caller is not allowed to modify this Operation (missing OPERATIONS_UPDATE right, not owner, or not attached to store).
- Only DRAFT operations can be modified.
- Operation type must be PRIVATE to manage account associations.
- Operation feature is disabled.
404Operation or accounts not found.
